export declare class Card {
    host: HTMLElement;
    width: string;
    height: string;
    maxHeight: string;
    elevation: number;
    padding: number;
    cardTitle: string;
    onAction: Function;
    actionButtons: HTMLMaterialsCardActionElement[];
    actionIcons: HTMLMaterialsCardActionElement[];
    fullBleedAction: boolean;
    private mdcCardEl;
    componentWillLoad(): Promise<void>;
    componentDidLoad(): void;
    render(): any;
}
